'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _bemNaming = require('bem-naming');

var _bemNaming2 = _interopRequireDefault(_bemNaming);

var _block = require('./block');

var _elem = require('./elem');

var _mods = require('./mods');

var _bemjson = require('./bemjson');

exports['default'] = function (options) {
    // default options:
    // {
    //     elem: '_',
    //     mod: '__'
    //     wordPattern: '[a-z0-9]+(?:-[a-z0-9]+)*'
    // }
    var bemNaming = (0, _bemNaming2['default'])(options);

    return function (chai) {
        var Assertion = chai.Assertion;

        Assertion.addProperty('validBlock', (0, _block.blockProperty)(bemNaming, chai));
        Assertion.addProperty('validElem', (0, _elem.elemProperty)(bemNaming, chai));
        Assertion.addMethod('block', (0, _block.blockMethod)(bemNaming, chai));
        Assertion.addMethod('elem', (0, _elem.elemMethod)(bemNaming, chai));
        Assertion.addMethod('mods', (0, _mods.modsMethod)(bemNaming, chai));
        Assertion.addMethod('bem', (0, _bemjson.bemjsonMethod)(bemNaming, chai));
        Assertion.addMethod('bemjson', (0, _bemjson.bemjsonMethod)(bemNaming, chai));
    };
};

module.exports = exports['default'];